/*
  Blink several LEDs independently

  by noiasca
  2022-01-17    1220/73
  2022-01-16    1260/73
  2022-01-06 OK
*/
 
#include <Noiasca_led.h>               // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_discrete.h>  // use the discrete pins on the Arduino/Microcontroller
BlinkPin blinkLed[] {13, 4, 5, 6};     // declare several blinking LED and assign pins 

void setup() {
  for (auto &obj : blinkLed) { 
    obj.begin();   // you have to call the .begin() method for each LED object
    obj.on();      // you can switch the blinking on in the setup already
  }
  
  // you can set different blink intervals for your LEDs                   
  blinkLed[0].setOnInterval(700);  
  blinkLed[1].setOnInterval(200);  
  blinkLed[2].setOffInterval(500);  
  blinkLed[3].setOffInterval(400);
}

void loop() {
  for (auto &obj : blinkLed) obj.update();       // you have to call update() for each LED object
  // put other non blocking code here, to run repeatedly
}
