/*
  Flicker a LED for a specific time
  
  A timer will run for a specific time
  you can restart it

  by noiasca
  2022-02-03
*/

#include <Noiasca_led.h>               // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_discrete.h>  // use the discrete pins on the Arduino/Microcontroller
#include <Noiasca_timer.h>

FlickerPin flickerLed {5};             // UNO PWM pins 3, 5, 6, 9, 10, 11
LittleTimer littleTimer {5000};        // a timer for n milliseconds

void setup() {
  Serial.begin(115200);
  Serial.println(F("\nStart"));
  flickerLed.begin();                  // start a LED object
  littleTimer.start();
}

void loop() {
  // you must call the update() method for each object:
  flickerLed.update();                      
  littleTimer.update();                // if the defined time is over, the timer will trigger the callback function

  if (littleTimer.hasTriggered())      // fires each time enough when enough time has passed
  {
    Serial.println(F("timer has triggered"));
    flickerLed.toggle();
  }
}
