/*
  Bounce 5 LED

  running LEDs like the Larson Scanner on KITT (from the TV series)
  
  by noiasca
  2022-01-17  2930/229
  2022-01-16  2912/241
*/

#include <Noiasca_led.h>               // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_discrete.h>  // use the discrete pins on the Arduino/Microcontroller
#include <Noiasca_button.h>            // some tools to read buttons

Bounce5Pin bounce5led {2, 3, 4, 5, 6}; // 5 output pins
Button button[] {A0, A1, A2, A3};      // button connects pin with GND, "active LOW"

void setup() {
  Serial.begin(115200);
  bounce5led.begin();                  // you have to call the .begin() method for the group of LEDs
  bounce5led.on();                     // you can switch the effect on

  //bounce5led.setOnInterval(100);     // this is the on time
  //bounce5led.setOffInterval(10);     //  this is the off time
 
  for (auto &obj : button) {
    obj.begin();                       // you have to call the .begin() method for each button
  }
}

void loop() {
  // read the buttons
  if (button[0].wasPressed()) {
    Serial.println(F("button 0 was pressed, switch ON LED"));
    bounce5led.on();                   // switch on LED
  }
  if (button[1].wasPressed()) {
    Serial.println(F("button 1 was pressed, switch OFF LED"));
    bounce5led.off();                  // switch off LED
  }
  if (button[2].wasPressed()) {
    Serial.println(F("button 2 was pressed, toogle LED (change from ON to OFF or vice versa)"));
    bounce5led.toggle();               // if button was pressed, toggle (change state) of LED
  }

  bounce5led.update();                 // you have to call update() for the LED
}
