/*
  Alternating FastLED
  alternate blink of a pair of FastLED strip

  by noiasca
  2022-04-16
 */

// needed to control the FastLED strip:
#include <FastLED.h>                   // include the FastLED library (install via library manager)
constexpr uint16_t pixelCount = 4;     // how many pixels on your strip
constexpr byte pixelPin = 8;           // data pin of your strip
CRGB leds[pixelCount];                 // This is an array of leds. One item for each led in your strip.

#include <Noiasca_led.h>               // download from: https://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_fastled.h>   // needed to control FastLED 

AlternatingFastLED alternatingPixel(FastLED, 1, leds);     // needs pixel 1, 2

void setup() {
  Serial.begin(115200);
  Serial.println(F("Alternating FastLED"));
  // init your strip according the FastLED example:
  FastLED.addLeds<WS2811, pixelPin, RGB>(leds, pixelCount);
  leds[0] = CRGB::White; FastLED.show(); // you can still access LEDs on the strip in the common "FastLED" way
  FastLED.setBrightness(50); // Set BRIGHTNESS to about 1/5 (max = 255)
  alternatingPixel.setOnInterval(250);           // set the on time of a pixel
  alternatingPixel.setOnColor(0xFF0000);         // set the on color of a pixel
}

void loop() {
  alternatingPixel.update();                     // call .update() for your pixel object
}
