/*
   Blink LED on a PCF8574
   blinks 3 pixel on a PCF8574 port expander

   by noiasca

   2022-12-19 ok
*/

#include <Wire.h>                      // I2C class for the PCF8574 port expander
#include <Noiasca_led.h>               // download from: https://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_PCF8574.h>   // needed to control PCF8574 

// create a expander object 
PCF8574expander myPCF8574(0x3F);           // create a PCF8574 instance at a specific I2C address

// create your objects:
BlinkPCF8574 blinkLEDA(myPCF8574, 1);      // a blink LED on a port expander
BlinkPCF8574 blinkLEDB(myPCF8574, 2);      // a blink LED on a port expander
BlinkPCF8574 blinkLEDC(myPCF8574, 3);      // a blink LED on a port expander

// create Objects for your pixels - optional without the wrapper:
//PCF8574_IF pcf8574_IF(myPCF8574, 3);       // handover HW to interface and define pin
//Blink<PCF8574_IF> blinkLedA(pcf8574_IF);

void setup() {
  Serial.begin(115200);
  Serial.println(F("LED & PCF8574 Test"));

  Wire.begin();

  //blinkLEDA.setOnInterval(250);    // set the on time of a pixel
  //blinkLEDB.on();                  // you can switch on or off a pixel
  //blinkLEDB.setOffInterval(250);   // set the off time of a pixel
}

void loop() {
  blinkLEDA.update();                // call .update() for your object 
  blinkLEDB.update();
  blinkLEDC.update();
}
